#ifndef FLUTTER_PLUGIN_CLIPBOARD_PLUGIN_H
#define FLUTTER_PLUGIN_CLIPBOARD_PLUGIN_H

#include <flutter/plugin-interface.h>
#include <clipboard/globals.h>

class PLUGIN_EXPORT ClipboardPlugin final : public PluginInterface
{
public:
    void RegisterWithRegistrar(PluginRegistrar &registrar) override;

private:
    void onMethodCall(const MethodCall &call);
    void onSetText(const MethodCall &call);
    void unimplemented(const MethodCall &call);
};

#endif /* FLUTTER_PLUGIN_CLIPBOARD_PLUGIN_H */
